%define name	acabit
%define version 26112003
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Automatic Corpus-based Acquisition of Binary Terms
License:	GPL
Group:		Sciences/Computer science
Source0:	http://www.sciences.univ-nantes.fr/info/perso/permanents/daille/%{name}_fr_%{version}.tar.bz2
Source1:	http://www.sciences.univ-nantes.fr/info/perso/permanents/daille/%{name}_en_%{version}.tar.bz2
Url:		http://www.sciences.univ-nantes.fr/info/perso/permanents/daille/acabit.html
Buildroot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
ACABIT is a terminological aquisition software, taking an annotated  text as
input, and returning an ordered list of candidates terms.

%package english
Summary:        English resources for %{name}
Group:          Sciences/Computer science
Requires:       %{name} = %{version}-%{release}

%description english
English resources for %{name}.

%package french
Summary:        French resources for %{name}
Group:          Sciences/Computer science
Requires:       %{name} = %{version}-%{release}

%description french
French resources for %{name}.

%prep
%setup -q -c -a 0
%setup -q -c -a 1

%build
perl -pi -e 's|require \("lib/(.*)"\);|require ("%{_datadir}/%{name}/$1");|' */*.pl

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 */*.pl $RPM_BUILD_ROOT%{_bindir}
install -m 644 */lib/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_datadir}/%{name}

%files english
%defattr(-,root,root)
%doc %{name}_en/exemple_en.txt
%{_bindir}/en*
%{_datadir}/%{name}/en*

%files french
%defattr(-,root,root)
%doc %{name}_fr/README_FR %{name}_fr/exemple_fr.txt
%{_bindir}/fr*
%{_datadir}/%{name}/fr*

%changelog
* Fri Jul 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 26112003-2mdk 
- fixed spec perms

* Tue Jun 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 26112003-1mdk 
- first mdk release
